# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.85"
name = "gize"
version = "0.7.7"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "The Gize command-line interface: productivity-first backend framework for Rust."
homepage = "https://gize-rust-framework.vercel.app/en"
readme = "README.md"
keywords = [
    "web",
    "framework",
    "codegen",
    "cli",
    "scaffolding",
]
categories = [
    "command-line-utilities",
    "web-programming",
    "development-tools",
]
license = "MIT OR Apache-2.0"
repository = "https://github.com/robertolima-dev/gize"

[[bin]]
name = "gize"
path = "src/main.rs"

[dependencies.anyhow]
version = "1"

[dependencies.argon2]
version = "0.5"
features = ["std"]

[dependencies.clap]
version = "4"
features = ["derive"]

[dependencies.dotenvy]
version = "0.15"

[dependencies.gize-core]
version = "0.7.7"

[dependencies.gize-db]
version = "0.7.7"

[dependencies.gize-generator]
version = "0.7.7"

[dependencies.rpassword]
version = "7"
